Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.channelAction.injac
Class DirectoryProperties

    java.lang.Object
      org.esupportail.portal.channels.CStockage.channelAction.injac.DirectoryProperties

public class DirectoryProperties
extends java.lang.Object

Id: DirectoryProperties.java,v 1.0 21 oct. 2004 Copyright (c) 2004 Esup Portail (www.esup-portail.org) Classes: DirectoryProperties Original Author: Yohan Colmant Contains the properties on a directory like its type, rights ....

Constructor Summary
`DirectoryProperties(java.lang.String type, boolean userIsWriter, boolean userIsEditor, boolean userIsManager, java.lang.String rootDocumentName)` Constructor

Method Summary
`java.lang.String` | `getRootDocumentName()`
`java.lang.String` | `getType()`
`boolean` | `isUserEditor()`
`boolean` | `isUserManager()`
`boolean` | `isUserWriter()`
`void` | `setRootDocumentName(java.lang.String rootDocumentName)`
`void` | `setType(java.lang.String type)`
`void` | `setUserIsEditor(boolean userIsEditor)`
`void` | `setUserIsManager(boolean userIsManager)`
`void` | `setUserIsWriter(boolean userIsWriter)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoryProperties

    public DirectoryProperties(java.lang.String type,
                               boolean userIsWriter,
                               boolean userIsEditor,
                               boolean userIsManager,
                               java.lang.String rootDocumentName)

  Constructor

Parameters:
  `type` - The directory type: space or document
  `userIsWriter` - If user is writer in the case of a space
  `userIsEditor` - If user is editor in the case of a space
  `userIsManager` - If user is manager in the case of a space
  `rootDocumentName` - The root document name witch is showed

Method Detail

### getType

    public java.lang.String getType()

  Returns:
    Returns the type.

### isUserEditor

    public boolean isUserEditor()

  Returns:
    Returns the userIsEditor.

### isUserManager

    public boolean isUserManager()

  Returns:
    Returns the userIsManager.

### isUserWriter

    public boolean isUserWriter()

  Returns:
    Returns the userIsWriter.

### setType

    public void setType(java.lang.String type)

  Parameters:
    `type` - The type to set.

### setUserIsEditor

    public void setUserIsEditor(boolean userIsEditor)

  Parameters:
    `userIsEditor` - The userIsEditor to set.

### setUserIsManager

    public void setUserIsManager(boolean userIsManager)

  Parameters:
    `userIsManager` - The userIsManager to set.

### setUserIsWriter

    public void setUserIsWriter(boolean userIsWriter)

  Parameters:
    `userIsWriter` - The userIsWriter to set.

### getRootDocumentName

    public java.lang.String getRootDocumentName()

  Returns:
    Returns the rootDocumentName.

### setRootDocumentName

    public void setRootDocumentName(java.lang.String rootDocumentName)

  Parameters:
    `rootDocumentName` - The rootDocumentName to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD